> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Service Request Files: Entrata

POST https://api.propexo.com/v1/service-requests/entrata/{service_request_id}/file-upload/
Content-Type: application/json

Create Service Request Files: Entrata| Method                       |
| ---------------------------- |
| maintenance/updateWorkOrders |Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Reference: https://docs.propexo.com/api-reference/entrata/service-requests/create-service-request-files-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `service_request_id` (string, required) — The Propexo unique identifier for the service request

### Body (application/json)

This endpoint expects a _v1_service-requests_entrata_{service_request_id}_file-upload__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `attachments` (list of V1ServiceRequestsEntrataServiceRequestIdFileUploadPostInputAttachmentsItems, required) — The files to be uploaded to the service request. All the files can have a maximum combined file size of 50 MB

## Response

### 200

Successful response

- `meta` (V1ServiceRequestsEntrataServiceRequestIdFileUploadPostOutputMeta, required)
- `result` (V1ServiceRequestsEntrataServiceRequestIdFileUploadPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ServiceRequestsEntrataServiceRequestIdFileUploadPostInputAttachmentsItems

- `file_data` (string, required) — The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
- `file_name` (string, required) — The name of the file including the extension. Ex: "image.jpg"
- `mime_type` (string, required) — The mime type of the file. Ex: "image/jpeg"
- `notes` (string, required) — Notes about the file

### V1ServiceRequestsEntrataServiceRequestIdFileUploadPostOutputMeta

- `job_id` (string, required)

### V1ServiceRequestsEntrataServiceRequestIdFileUploadPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `service_request_id` (string, required) — The Propexo unique identifier for the service request
- `attachments` (list of V1ServiceRequestsEntrataServiceRequestIdFileUploadPostOutputResultAttachmentsItems, required)

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ServiceRequestsEntrataServiceRequestIdFileUploadPostOutputResultAttachmentsItems

- `file_name` (string, required) — The name of the file including the extension. Ex: "image.jpg"
- `mime_type` (string, required) — The mime type of the file. Ex: "image/jpeg"
- `notes` (string, required) — Notes about the file
- `file_data` (string, optional, nullable) — The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "attachments": [
    {
      "file_data": "VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==",
      "file_name": "leak_photo.jpg",
      "mime_type": "image/jpeg",
      "notes": "Photo showing the water leak in the kitchen ceiling."
    }
  ]
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-1234567890abcdef"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "service_request_id": "sr-abcdef1234567890",
    "attachments": [
      {
        "file_name": "leak_photo.jpg",
        "mime_type": "image/jpeg",
        "notes": "Photo showing the water leak in the kitchen ceiling.",
        "file_data": "VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg=="
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "attachments": [
        {
            "file_data": "VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==",
            "file_name": "leak_photo.jpg",
            "mime_type": "image/jpeg",
            "notes": "Photo showing the water leak in the kitchen ceiling."
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","attachments":[{"file_data":"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==","file_name":"leak_photo.jpg","mime_type":"image/jpeg","notes":"Photo showing the water leak in the kitchen ceiling."}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"attachments\": [\n    {\n      \"file_data\": \"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\",\n      \"file_name\": \"leak_photo.jpg\",\n      \"mime_type\": \"image/jpeg\",\n      \"notes\": \"Photo showing the water leak in the kitchen ceiling.\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"attachments\": [\n    {\n      \"file_data\": \"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\",\n      \"file_name\": \"leak_photo.jpg\",\n      \"mime_type\": \"image/jpeg\",\n      \"notes\": \"Photo showing the water leak in the kitchen ceiling.\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"attachments\": [\n    {\n      \"file_data\": \"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\",\n      \"file_name\": \"leak_photo.jpg\",\n      \"mime_type\": \"image/jpeg\",\n      \"notes\": \"Photo showing the water leak in the kitchen ceiling.\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "attachments": [
    {
      "file_data": "VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==",
      "file_name": "leak_photo.jpg",
      "mime_type": "image/jpeg",
      "notes": "Photo showing the water leak in the kitchen ceiling."
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"attachments\": [\n    {\n      \"file_data\": \"VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==\",\n      \"file_name\": \"leak_photo.jpg\",\n      \"mime_type\": \"image/jpeg\",\n      \"notes\": \"Photo showing the water leak in the kitchen ceiling.\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "attachments": [
    [
      "file_data": "VGhpcyBpcyBhIHRlc3QgZmlsZSBjb250ZW50Lg==",
      "file_name": "leak_photo.jpg",
      "mime_type": "image/jpeg",
      "notes": "Photo showing the water leak in the kitchen ceiling."
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/service-requests/entrata/service_request_id/file-upload/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```